Subject: bug#70167: closed (Re: bug#70167: [PATCH] Mark Flymake regions more accurately in lua-ts-mode)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 13 Apr 2024 08:13:02 +0000

Your bug report

#70167: [PATCH] Mark Flymake regions more accurately in lua-ts-mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70167: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70167
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#70167: [PATCH] Mark Flymake regions more accurately in lua-ts-mode
From: Eli Zaretskii <[email-masked]>
To: john muhl <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 13 Apr 2024 11:12:14 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked]
> From: john muhl <[email-masked]>
> Date: Thu, 04 Apr 2024 11:45:05 -0500
> 
> 
> Changed to use push. It doesn’t look like the order matters or did
> I misunderstand something?
> 
> Thanks for the review.

Thanks, I installed this on the master branch, and I'm closing the
bug.

Subject: [PATCH] Mark Flymake regions more accurately in lua-ts-mode
From: john muhl <[email-masked]>
To: [email-masked]
Date: Wed, 03 Apr 2024 12:55:33 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Tags: patch

This changes the diagnostic region end position from being guessed
based on thing-at-point to using the one provided by LuaCheck. As
noted in bug#67152 it was already being matched but not used. I
couldn’t find anything where t-a-p guessed wrong but it seems
preferable to just mark exactly the same region as LuaCheck would.